function main()
{
  var app = System.GetInterface("Application");
  var Model = app.Models.GetObject(0);
  //... parameter in GetObject determines with which model the script should work.
  //0 = first model listed in the Application View, 1 = second model listed in the Application View etc.
  var r, Relation;  

  Model.Lock();
  for( r=0; r<Model.Relations.Count; r++ )
  {
    Relation = Model.Relations.GetObject(r);
    Relation.Lock();
       if ((Relation.Identifying) && (Relation.CreateIndexToFK))
    {
      Relation.CreateIndexToFK = false;
      Log.Information("Relationship '"+Relation.Name+"': checkbox 'Create Index to Foreign Key' has been unchecked.");
    }
    else
    if ((! Relation.Identifying) && (! Relation.CreateIndexToFK))
    {
      Relation.CreateIndexToFK = true;
      Log.Information("Relationship '"+Relation.Name+"': checkbox 'Create Index to Foreign Key' has been checked.");
    }
    Relation.UnLock();
  }
  Model.UnLock();
  Log.Information("DONE");
}
